Bug 1780056 - APIv3: undefined method `text' for nil:NilClass
Summary: APIv3: undefined method `text' for nil:NilClass
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Compute Resources - RHEV
Version: 6.7.0
Hardware: Unspecified
OS: Unspecified
unspecified
high vote
Target Milestone: 6.7.0
Assignee: Shira Maximov
QA Contact: Lukáš Hellebrandt
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-12-05 10:25 UTC by Lukáš Hellebrandt
Modified: 2020-04-14 13:27 UTC (History)
5 users (show)

Fixed In Version: foreman-1.24.1.2-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-04-14 13:27:45 UTC
Target Upstream Version:


Attachments (Terms of Use)
foreman-tail.log (74.59 KB, text/plain)
2019-12-06 09:11 UTC, Lukáš Hellebrandt
no flags Details


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 28508 Normal Closed APIv3: undefined method `text' for nil:NilClass 2020-02-13 08:57:36 UTC
Red Hat Product Errata RHSA-2020:1454 None None None 2020-04-14 13:27:57 UTC

Description Lukáš Hellebrandt 2019-12-05 10:25:38 UTC
Description of problem:
When creating a host on RHEV using APIv3, I get:
"Failed to create a compute testrhev3 (RHV) instance <FQDN>: Ovirt client returned an error: undefined method `text' for nil:NilClass"

This is regression.

Version-Release number of selected component (if applicable):
Sat 6.7 snap 4.

How reproducible:
Deterministic

Steps to Reproduce:
1. Have a RHEV CR using APIv3 and other entities necessary to create a host
2. Try to create a host

Actual results:
Upon submitting the host creation form, I get the mentioned error and the host is not created

Expected results:
Host created successfully (or APIv3 suport removed?)

Comment 5 Lukáš Hellebrandt 2019-12-06 09:11:12 UTC
Created attachment 1642585 [details]
foreman-tail.log

There's no traceback in production.log. Attaching the log anyway.

Comment 6 orabin 2019-12-10 14:02:50 UTC
I wasn't able to reproduce upstream.
Could I get the details of the RHV you are using or detailed steps on what to fill in for the host?
Maybe one of these differences is the cause.

Comment 8 Shira Maximov 2019-12-15 09:59:34 UTC
Created redmine issue https://projects.theforeman.org/issues/28508 from this bug

Comment 9 Bryan Kearney 2019-12-15 17:01:43 UTC
Upstream bug assigned to mshira@redhat.com

Comment 10 Bryan Kearney 2019-12-15 17:01:45 UTC
Upstream bug assigned to mshira@redhat.com

Comment 14 Bryan Kearney 2020-01-18 15:01:46 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue https://projects.theforeman.org/issues/28508 has been resolved.

Comment 16 Lukáš Hellebrandt 2020-02-13 09:53:43 UTC
Verified with Sat 6.7 snap 11 using reproducer from OP and comment 7. Additionally, tested with Hammer and found no regression.

Comment 19 errata-xmlrpc 2020-04-14 13:27:45 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:1454


Note You need to log in before you can comment on or make changes to this bug.